
#pg-header div, #pg-footer div {
    all: initial;
    display: block;
    margin-top: 1em;
    margin-bottom: 1em;
    margin-left: 2em;
}
#pg-footer div.agate {
    font-size: 90%;
    margin-top: 0;
    margin-bottom: 0;
    text-align: center;
}
#pg-footer li {
    all: initial;
    display: block;
    margin-top: 1em;
    margin-bottom: 1em;
    text-indent: -0.6em;
}
#pg-footer div.secthead {
    font-size: 110%;
    font-weight: bold;
}
#pg-footer #project-gutenberg-license {
    font-size: 110%;
    margin-top: 0;
    margin-bottom: 0;
    text-align: center;
}
#pg-header-heading {
    all: inherit;
    text-align: center;
    font-size: 120%;
    font-weight:bold;
}
#pg-footer-heading {
    all: inherit;
    text-align: center;
    font-size: 120%;
    font-weight: normal;
    margin-top: 0;
    margin-bottom: 0;
}
#pg-header #pg-machine-header p {
    text-indent: -4em;
    margin-left: 4em;
    margin-top: 1em;
    margin-bottom: 0;
    font-size: medium
}
#pg-header #pg-header-authlist {
    all: initial;
    margin-top: 0;
    margin-bottom: 0;
}
#pg-header #pg-machine-header strong {
    font-weight: normal;
}
#pg-header #pg-start-separator, #pg-footer #pg-end-separator {
    margin-bottom: 3em;
    margin-left: 0;
    margin-right: auto;
    margin-top: 2em;
    text-align: center
}

    .xhtml_center {text-align: center; display: block;}
    .xhtml_center table {
        display: table;
        text-align: left;
        margin-left: auto;
        margin-right: auto;
        }
.cmr-5 {
    font-size: 50%
    }
.cmr-7 {
    font-size: 70%
    }
.cmmi-10 {
    font-style: italic
    }
.cmsy-7 {
    font-size: 70%
    }
.cmsy-10 {
    font-size: 100%
    }
.cmr-9 {
    font-size: 90%
    }
.cmtt-9 {
    font-size: 90%;
    font-family: monospace
    }
.cmtt-9 {
    font-family: monospace
    }
.cmtt-9 {
    font-family: monospace
    }
.cmtt-10 {
    font-family: monospace
    }
.cmtt-10 {
    font-family: monospace
    }
.cmtt-10 {
    font-family: monospace
    }
.cmcsc-10x-x-70 {
    font-size: 70%
    }
.cmti-7 {
    font-size: 70%;
    font-style: italic
    }
.cmr-12x-x-120 {
    font-size: 144%
    }
.cmr-12 {
    font-size: 120%
    }
.cmss-12 {
    font-size: 120%;
    font-family: sans-serif
    }
.cmss-12 {
    font-family: sans-serif
    }
.cmss-12 {
    font-family: sans-serif
    }
.cmss-12 {
    font-family: sans-serif
    }
.cmss-12 {
    font-family: sans-serif
    }
.cmss-12 {
    font-family: sans-serif
    }
.cmss-12 {
    font-family: sans-serif
    }
.cmbx-10 {
    font-weight: bold
    }
.cmbx-10 {
    font-weight: bold
    }
.cmbx-10 {
    font-weight: bold
    }
.cmti-10 {
    font-style: italic
    }
.cmbx-9 {
    font-size: 90%;
    font-weight: bold
    }
.cmbx-9 {
    font-weight: bold
    }
.cmbx-9 {
    font-weight: bold
    }
.cmr-17 {
    font-size: 170%
    }
.cmr-17x-x-143 {
    font-size: 243%
    }
.cmti-12x-x-120 {
    font-size: 144%;
    font-style: italic
    }
.cmr-8 {
    font-size: 80%
    }
.cmti-8 {
    font-size: 80%;
    font-style: italic
    }
.cmcsc-10x-x-80 {
    font-size: 80%
    }
.cmcsc-10 {
    font-size: 100%
    }
.cmr-6 {
    font-size: 60%
    }
.cmmi-8 {
    font-size: 80%;
    font-style: italic
    }
.cmmi-6 {
    font-size: 60%;
    font-style: italic
    }
.cmsy-8 {
    font-size: 80%
    }
.cmsy-6 {
    font-size: 60%
    }
.cmex-8 {
    font-size: 80%
    }
.cmex-10 {
    font-size: 100%
    }
.msam-10x-x-80 {
    font-size: 80%
    }
.msam-10 {
    font-size: 100%
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmss-10 {
    font-family: sans-serif
    }
.cmbx-8 {
    font-size: 80%;
    font-weight: bold
    }
.cmbx-8 {
    font-weight: bold
    }
.cmbx-8 {
    font-weight: bold
    }
.cmtt-8 {
    font-size: 80%;
    font-family: monospace
    }
.cmtt-8 {
    font-family: monospace
    }
.cmtt-8 {
    font-family: monospace
    }
.cmss-8 {
    font-size: 80%;
    font-family: sans-serif
    }
.cmss-8 {
    font-family: sans-serif
    }
.cmss-8 {
    font-family: sans-serif
    }
.cmss-8 {
    font-family: sans-serif
    }
.cmss-8 {
    font-family: sans-serif
    }
.cmss-8 {
    font-family: sans-serif
    }
.cmss-8 {
    font-family: sans-serif
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-10 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmss-17 {
    font-size: 170%;
    font-family: sans-serif
    }
.cmss-17 {
    font-family: sans-serif
    }
.cmss-17 {
    font-family: sans-serif
    }
.cmss-17 {
    font-family: sans-serif
    }
.cmss-17 {
    font-family: sans-serif
    }
.cmss-17 {
    font-family: sans-serif
    }
.cmss-17 {
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-size: 144%;
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-family: sans-serif
    }
.cmss-12x-x-120 {
    font-family: sans-serif
    }
.cmssi-12 {
    font-size: 120%;
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-12 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-12 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-12 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-12 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-12 {
    font-family: sans-serif;
    font-style: oblique
    }
.cmssi-12 {
    font-family: sans-serif;
    font-style: oblique
    }
.small-caps {
    font-variant: small-caps
    }
p.noindent {
    text-indent: 0
    }
td p.noindent {
    text-indent: 0;
    margin-top: 0
    }
p.nopar {
    text-indent: 0
    }
p.indent {
    text-indent: 1.5em
    }
@media print {
    div.crosslinks {
        visibility: hidden
        }
    }
a img {
    border-top: 0;
    border-left: 0;
    border-right: 0
    }
center {
    margin-top: 1em;
    margin-bottom: 1em
    }
td center {
    margin-top: 0;
    margin-bottom: 0
    }
.Canvas {
    position: relative
    }
img.math {
    vertical-align: middle
    }
li p.indent {
    text-indent: 0
    }
li p:first-child {
    margin-top: 0
    }
li p:last-child, li div:last-child {
    margin-bottom: 0.5em
    }
li p ~ ul:last-child, li p ~ ol:last-child {
    margin-bottom: 0.5em
    }
.enumerate1 {
    list-style-type: decimal
    }
.enumerate2 {
    list-style-type: lower-alpha
    }
.enumerate3 {
    list-style-type: lower-roman
    }
.enumerate4 {
    list-style-type: upper-alpha
    }
div.newtheorem {
    margin-bottom: 2em;
    margin-top: 2em
    }
.obeylines-h, .obeylines-v {
    white-space: nowrap
    }
div.obeylines-v p {
    margin-top: 0;
    margin-bottom: 0
    }
.overline {
    text-decoration: overline
    }
.overline img {
    border-top: 1px solid black
    }
td.displaylines {
    text-align: center;
    white-space: nowrap
    }
.centerline {
    text-align: center
    }
.rightline {
    text-align: right
    }
div.verbatim {
    font-family: monospace;
    white-space: nowrap;
    text-align: left;
    clear: both
    }
.fbox {
    padding-left: 3pt;
    padding-right: 3pt;
    text-indent: 0;
    border: solid black 0.4pt
    }
div.fbox {
    display: table
    }
div.center div.fbox {
    text-align: center;
    clear: both;
    padding-left: 3pt;
    padding-right: 3pt;
    text-indent: 0;
    border: solid black 0.4pt
    }
div.minipage {
    width: 100%
    }
div.center, div.center div.center {
    text-align: center;
    margin-left: 1em;
    margin-right: 1em
    }
div.center div {
    text-align: left
    }
div.flushright, div.flushright div.flushright {
    text-align: right
    }
div.flushright div {
    text-align: left
    }
div.flushleft {
    text-align: left
    }
.underline {
    text-decoration: underline
    }
.underline img {
    border-bottom: 1px solid black;
    margin-bottom: 1pt
    }
.framebox-c, .framebox-l, .framebox-r {
    padding-left: 3pt;
    padding-right: 3pt;
    text-indent: 0;
    border: solid black 0.4pt
    }
.framebox-c {
    text-align: center
    }
.framebox-l {
    text-align: left
    }
.framebox-r {
    text-align: right
    }
span.thank-mark {
    vertical-align: super
    }
span.footnote-mark sup.textsuperscript, span.footnote-mark a sup.textsuperscript {
    font-size: 80%
    }
div.tabular, div.center div.tabular {
    text-align: center;
    margin-top: 0.5em;
    margin-bottom: 0.5em
    }
table.tabular td p {
    margin-top: 0
    }
table.tabular {
    margin-left: auto;
    margin-right: auto
    }
td p:first-child {
    margin-top: 0
    }
td p:last-child {
    margin-bottom: 0
    }
div.td00 {
    margin-left: 0;
    margin-right: 0
    }
div.td01 {
    margin-left: 0;
    margin-right: 5pt
    }
div.td10 {
    margin-left: 5pt;
    margin-right: 0
    }
div.td11 {
    margin-left: 5pt;
    margin-right: 5pt
    }
table[rules] {
    border-left: solid black 0.4pt;
    border-right: solid black 0.4pt
    }
td.td00 {
    padding-left: 0;
    padding-right: 0
    }
td.td01 {
    padding-left: 0;
    padding-right: 5pt
    }
td.td10 {
    padding-left: 5pt;
    padding-right: 0
    }
td.td11 {
    padding-left: 5pt;
    padding-right: 5pt
    }
table[rules] {
    border-left: solid black 0.4pt;
    border-right: solid black 0.4pt
    }
.hline hr, .cline hr {
    height: 1px;
    margin: 0
    }
.tabbing-right {
    text-align: right
    }
span.TEX {
    letter-spacing: -0.125em
    }
span.TEX span.E {
    position: relative;
    top: 0.5ex;
    left: -0.0417em
    }
a span.TEX span.E {
    text-decoration: none
    }
span.LATEX span.A {
    position: relative;
    top: -0.5ex;
    left: -0.4em;
    font-size: 85%
    }
span.LATEX span.TEX {
    position: relative;
    left: -0.4em
    }
div.float, div.figure {
    margin-left: auto;
    margin-right: auto
    }
div.float img {
    text-align: center
    }
div.figure img {
    text-align: center
    }
.marginpar {
    width: 20%;
    float: right;
    text-align: left;
    margin-left: auto;
    margin-top: 0.5em;
    font-size: 85%;
    text-decoration: underline
    }
.marginpar p {
    margin-top: 0.4em;
    margin-bottom: 0.4em
    }
table.equation {
    width: 100%
    }
.equation td {
    text-align: center
    }
td.equation {
    margin-top: 1em;
    margin-bottom: 1em
    }
td.equation-label {
    width: 5%;
    text-align: center
    }
td.eqnarray4 {
    width: 5%;
    white-space: normal
    }
td.eqnarray2 {
    width: 5%
    }
table.eqnarray-star, table.eqnarray {
    width: 100%
    }
div.eqnarray {
    text-align: center
    }
div.array {
    text-align: center
    }
div.pmatrix {
    text-align: center
    }
table.pmatrix {
    width: 100%
    }
span.pmatrix img {
    vertical-align: middle
    }
div.pmatrix {
    text-align: center
    }
table.pmatrix {
    width: 100%
    }
span.bar-css {
    text-decoration: overline
    }
img.cdots {
    vertical-align: middle
    }
.partToc a, .partToc, .likepartToc a, .likepartToc {
    line-height: 200%;
    font-weight: bold;
    font-size: 110%
    }
.chapterToc a, .chapterToc, .likechapterToc a, .likechapterToc, .appendixToc a, .appendixToc {
    line-height: 200%;
    font-weight: bold
    }
.index-item, .index-subitem, .index-subsubitem {
    display: block
    }
div.caption {
    text-indent: -2em;
    margin-left: 3em;
    margin-right: 1em;
    text-align: left
    }
div.caption span.id {
    font-weight: bold;
    white-space: nowrap
    }
h1.partHead {
    text-align: center
    }
p.bibitem {
    text-indent: -2em;
    margin-left: 2em;
    margin-top: 0.6em;
    margin-bottom: 0.6em
    }
p.bibitem-p {
    text-indent: 0;
    margin-left: 2em;
    margin-top: 0.6em;
    margin-bottom: 0.6em
    }
.paragraphHead, .likeparagraphHead {
    margin-top: 2em;
    font-weight: bold
    }
.subparagraphHead, .likesubparagraphHead {
    font-weight: bold
    }
.quote {
    margin-bottom: 0.25em;
    margin-top: 0.25em;
    margin-left: 1em;
    margin-right: 1em;
    text-align: justify
    }
.verse {
    white-space: nowrap;
    margin-left: 2em
    }
div.maketitle {
    text-align: center
    }
h2.titleHead {
    text-align: center
    }
div.maketitle {
    margin-bottom: 2em
    }
div.author, div.date {
    text-align: center
    }
div.thanks {
    text-align: left;
    margin-left: 10%;
    font-size: 85%;
    font-style: italic
    }
div.author {
    white-space: nowrap
    }
.quotation {
    margin-bottom: 0.25em;
    margin-top: 0.25em;
    margin-left: 1em
    }
h1.partHead {
    text-align: center
    }
.chapterToc, .likechapterToc {
    margin-left: 0
    }
.chapterToc ~ .likesectionToc, .chapterToc ~ .sectionToc, .likechapterToc ~ .likesectionToc, .likechapterToc ~ .sectionToc {
    margin-left: 2em
    }
.chapterToc ~ .likesectionToc ~ .likesubsectionToc, .chapterToc ~ .likesectionToc ~ .subsectionToc, .chapterToc ~ .sectionToc ~ .likesubsectionToc, .chapterToc ~ .sectionToc ~ .subsectionToc, .likechapterToc ~ .likesectionToc ~ .likesubsectionToc, .likechapterToc ~ .likesectionToc ~ .subsectionToc, .likechapterToc ~ .sectionToc ~ .likesubsectionToc, .likechapterToc ~ .sectionToc ~ .subsectionToc {
    margin-left: 4em
    }
.chapterToc ~ .likesectionToc ~ .likesubsectionToc ~ .likesubsubsectionToc, .chapterToc ~ .likesectionToc ~ .likesubsectionToc ~ .subsubsectionToc, .chapterToc ~ .likesectionToc ~ .subsectionToc ~ .likesubsubsectionToc, .chapterToc ~ .likesectionToc ~ .subsectionToc ~ .subsubsectionToc, .chapterToc ~ .sectionToc ~ .likesubsectionToc ~ .likesubsubsectionToc, .chapterToc ~ .sectionToc ~ .likesubsectionToc ~ .subsubsectionToc, .chapterToc ~ .sectionToc ~ .subsectionToc ~ .likesubsubsectionToc, .chapterToc ~ .sectionToc ~ .subsectionToc ~ .subsubsectionToc, .likechapterToc ~ .likesectionToc ~ .likesubsectionToc ~ .likesubsubsectionToc, .likechapterToc ~ .likesectionToc ~ .likesubsectionToc ~ .subsubsectionToc, .likechapterToc ~ .likesectionToc ~ .subsectionToc ~ .likesubsubsectionToc, .likechapterToc ~ .likesectionToc ~ .subsectionToc ~ .subsubsectionToc, .likechapterToc ~ .sectionToc ~ .likesubsectionToc ~ .likesubsubsectionToc, .likechapterToc ~ .sectionToc ~ .likesubsectionToc ~ .subsubsectionToc, .likechapterToc ~ .sectionToc ~ .subsectionToc ~ .likesubsubsectionToc .likechapterToc ~ .sectionToc ~ .subsectionToc ~ .subsubsectionToc {
    margin-left: 6em
    }
.likesectionToc, .sectionToc {
    margin-left: 0
    }
.likesectionToc ~ .likesubsectionToc, .likesectionToc ~ .subsectionToc, .sectionToc ~ .likesubsectionToc, .sectionToc ~ .subsectionToc {
    margin-left: 2em
    }
.likesectionToc ~ .likesubsectionToc ~ .likesubsubsectionToc, .likesectionToc ~ .likesubsectionToc ~ .subsubsectionToc, .likesectionToc ~ .subsectionToc ~ .likesubsubsectionToc, .likesectionToc ~ .subsectionToc ~ .subsubsectionToc, .sectionToc ~ .likesubsectionToc ~ .likesubsubsectionToc, .sectionToc ~ .likesubsectionToc ~ .subsubsectionToc, .sectionToc ~ .subsectionToc ~ .likesubsubsectionToc, .sectionToc ~ .subsectionToc ~ .subsubsectionToc {
    margin-left: 4em
    }
.likesubsectionToc, .subsectionToc {
    margin-left: 0
    }
.likesubsectionToc ~ .subsubsectionToc, .subsectionToc ~ .subsubsectionToc {
    margin-left: 2em
    }
.figure img.graphics {
    margin-left: 10%
    }
.equation td {
    text-align: center
    }
.equation-star td {
    text-align: center
    }
table.equation-star {
    width: 100%
    }
table.equation {
    width: 100%
    }
table.align, table.alignat, table.xalignat, table.xxalignat, table.flalign {
    width: 100%;
    margin-left: 5%;
    white-space: nowrap
    }
table.align-star, table.alignat-star, table.xalignat-star, table.flalign-star {
    margin-left: auto;
    margin-right: auto;
    white-space: nowrap
    }
td.align-label {
    width: 5%;
    text-align: center
    }
td.align-odd {
    text-align: right;
    padding-right: 0.3em
    }
td.align-even {
    text-align: left;
    padding-right: 0.6em
    }
table.multline, table.multline-star {
    width: 100%
    }
td.gather {
    text-align: center
    }
table.gather {
    width: 100%
    }
div.gather-star {
    text-align: center
    }
.caption span.id {
    font-weight: bold
    }
.wrapfig-r, .wrapfig-ri, .wrapfig-ir, .wrapfig-ro, .wrapfig-or {
    float: right;
    text-align: left;
    margin-left: auto;
    margin-top: 0.5em
    }
.wrapfig-l, .wrapfig-li, .wrapfig-il, .wrapfig-lo, .wrapfig-ol {
    float: left;
    text-align: left;
    margin-right: auto;
    margin-top: 0.5em
    }
.wrapfig-r .caption td.content, .wrapfig-ri .caption td.content, .wrapfig-ir .caption td.content, .wrapfig-ro .caption td.content, .wrapfig-or .caption td.content, .wrapfig-l .caption td.content, .wrapfig-li .caption td.content, .wrapfig-il .caption td.content, .wrapfig-lo .caption td.content, .wrapfig-ol .caption td.content {
    white-space: normal
    }
.wrapfig-r .caption, .wrapfig-ri .caption, .wrapfig-ir .caption, .wrapfig-ro .caption, .wrapfig-or .caption, .wrapfig-l .caption, .wrapfig-li .caption, .wrapfig-il .caption, .wrapfig-lo .caption, .wrapfig-ol .caption {
    width: 30%
    }
.ph1, .ph2, .ph3, .ph4, .ph5 {
    text-align: center;
    text-indent: 0;
    font-weight: bold
    }
.ph1 {
    font-size: xx-large;
    margin: 0.67em auto
    }
.ph2 {
    font-size: x-large;
    margin: 0.75em auto
    }
.ph3 {
    font-size: large;
    margin: 0.83em auto
    }
.ph4, .ph5 {
    font-size: medium;
    margin: 1.12em auto
    }
div.chapter {
    page-break-before: always
    }
h2, h3 {
    page-break-before: avoid
    }
